{% extends "ajax/game/game.html.twig" %}
{%block title %}{{'Hilfe'|trans({}, 'game')}}{% endblock %}
{% block menu_text %}
    {{parent()}}
    <li class="back-dash" x-ajax-href="{{ url('game_landing') }}">{{ 'Zum Spiel'|trans({},'global') }}</li>
{% endblock %}

{% block ajax %}
    {% macro search_entry(section,currentSection,text,icon,main,link_only=false) %}
        <li data-section="{{ currentSection }}" class="{% if main %}main{% endif%} {% if not link_only and section == currentSection %}active{% endif %}">
            <img src="{{ asset(icon) }}" alt="">
            <span data-direct="1" class="link" x-ajax-href="{{ url('help', {'name': currentSection}) }}">{{ text }}</span>
            <span data-indirect="{{ url('help_partial', {'name': currentSection} ) }}" class="link hidden">{{ text }}</span>
        </li>
    {% endmacro %}

    <div class="row">
        <div class="padded-small map-box cell rw-4 rw-sm-12">
            <div class="row-flex gap">
                <div class="cell rw-8"><label><input id="search_value" type="text" placeholder="{{ 'Die Hilfe durchsuchen'|trans({},'help') }}" /></label></div>
                <div class="cell rw-4"><label><button id="search_help">{{ 'Suchen'|trans({}, 'global') }}</button></div>
            </div>
            <div class="row-flex gap">
                <div class="cell rw-12"><label><button style="margin-top: 5px;" class="hidden" id="search_reset">{{ 'Abbrechen'|trans({}, 'global') }}</button></div>
            </div>
            <div style="margin-top: 5px;">
                {% if support is not defined or support is null %}
           		    <a class="support" href="https://gitlab.com/eternaltwin/myhordes/myhordes/-/issues" target="_blank"><em>{{ 'Brauchst du Hilfe?'|trans({},'help') }}</em>{{ 'Besuche unsere Technische Supportseite'|trans({},'help') }}</a>
                {% else %}
                    <a class="support" x-group-connect="oglink_{{ support.id }}" href="#"><em>{{ 'Brauchst du Hilfe?'|trans({},'help') }}</em>{{ 'Besuche unsere Technische Supportseite'|trans({},'help') }}</a>
                {% endif %}
                <ul class="HelpList">
                    {{ _self.search_entry(section,'welcome','MyHordes?'|trans({},'help'),'build/images/icons/small_middot.gif',true) }}
                    {{ _self.search_entry(section,'world_beyond','Die Außenwelt'|trans({},'help'),'build/images/icons/small_middot.gif',true) }}
                    <li class="sublist">
                        <ul>
                            {{ _self.search_entry(section,'getting_around','Sich bewegen'|trans({},'help'),'build/images/icons/small_move.gif',false) }}
                            {{ _self.search_entry(section,'map','Die Karte'|trans({},'help'),'build/images/icons/item_map.gif',false) }}
                            {{ _self.search_entry(section,'exploring_and_scavenging','Erkunden und Graben'|trans({},'help'),'build/images/icons/small_gather.gif',false) }}
                            {{ _self.search_entry(section,'depleted_zones','Abgesuchte Zonen'|trans({},'help'),'build/images/icons/Small_broken.gif',false) }}
                            {{ _self.search_entry(section,'control_points','Die Kontrollpunkte'|trans({},'help'),'build/images/beyond/equal.gif',false) }}
                            {{ _self.search_entry(section,'escort_mode','Der Eskortenmodus'|trans({},'help'),'build/images/icons/small_move.gif',false) }}
                            {{ _self.search_entry(section,'fighting_the_hordes_in_the_world_beyond','Zombies im Freien bekämpfen'|trans({},'help'),'build/images/item/item_cutcut.gif',false) }}
                            {{ _self.search_entry(section,'the_night','Nachts'|trans({},'help'),'build/images/pictos/r_doutsd.gif',false) }}
                            {{ _self.search_entry(section,'extreme_camping','Wildes Campen'|trans({},'help'),'build/images/status/status_camper.gif',false) }}
                            {{ _self.search_entry(section,'ruin_exploration','Gebäude untersuchen'|trans({},'help'),'build/images/icons/small_exploration.gif',false) }}
                            {{ _self.search_entry(section,'lost_souls','Verlorene Seelen'|trans({},'help'),'build/images/item/item_soul_blue.gif',false) }}
                        </ul>
                    </li>

                    {{ _self.search_entry(section,'about_you','Du'|trans({},'help'),'build/images/icons/small_middot.gif',true) }}

                    <li class="sublist">
                        <ul>
                            {{ _self.search_entry(section,'health','Dein Gesundheitszustand'|trans({},'help'),'build/images/status/status_tired.gif',false) }}
                            {{ _self.search_entry(section,'inventory','Inventar'|trans({},'help'),'build/images/item/item_bag.gif',false) }}
                            {{ _self.search_entry(section,'your_soul','Deine Seele'|trans({},'help'),'build/images/icons/small_ghost_blue.gif',false) }}
                            {{ _self.search_entry(section,'death_and_soul_points','Der Tod und deine Seelenpunkte'|trans({},'help'),'build/images/professions/death.gif',false) }}
                            {{ _self.search_entry(section,'last_man_standing','Der letzte Tod'|trans({},'help'),'build/images/pictos/r_surlst.gif',false) }}
                            {{ _self.search_entry(section,'hero_mode','Heldenmodus'|trans({},'help'),'build/images/icons/star.gif',false) }}
                            {{ _self.search_entry(section,'coalitions','Kleine Koalitionen'|trans({},'help'),'build/images/pictos/r_surgrp.gif',false) }}
                            {{ _self.search_entry(section,'house_and_work','Haus &amp; Hausarbeiten'|trans({},'help'),'build/images/pictos/r_hbuild.gif',false) }}
                            {{ _self.search_entry(section,'ghouls','Ghule'|trans({},'help'),'build/images/roles/ghoul.gif',false) }}
                        </ul>
                    </li>

                    {{ _self.search_entry(section,'jobs','Die Berufe'|trans({},'help'),'build/images/icons/small_middot.gif',true) }}

                    <li class="sublist">
                        <ul>
                            {{ _self.search_entry(section,'basic','Einwohner'|trans({},'help'),'build/images/professions/basic.gif',false) }}
                            {{ _self.search_entry(section,'collec','Buddler'|trans({},'help'),'build/images/professions/dig.gif',false) }}
                            {{ _self.search_entry(section,'hunter','Aufklärer'|trans({},'help'),'build/images/professions/vest.gif',false) }}
                            {{ _self.search_entry(section,'guardian','Wächter'|trans({},'help'),'build/images/professions/shield.gif',false) }}
                            {{ _self.search_entry(section,'survivalist','Einsiedler'|trans({},'help'),'build/images/professions/book.gif',false) }}
                            {{ _self.search_entry(section,'tamer','Dompteur'|trans({},'help'),'build/images/professions/tamer.gif',false) }}
                            {{ _self.search_entry(section,'tech','Techniker'|trans({},'help'),'build/images/professions/tech.gif',false) }}
                        </ul>
                    </li>

                    {{ _self.search_entry(section,'town_roles','Die Rollen'|trans({},'help'),'build/images/icons/small_middot.gif',true) }}

                    <li class="sublist">
                        <ul>
                            {{ _self.search_entry(section,'shaman','Shamane'|trans({},'help'),'build/images/roles/shaman.gif',false) }}
                            {{ _self.search_entry(section,'guide_to_the_world_beyond','Der Reiseleiter in der Außenwelt'|trans({},'help'),'build/images/roles/guide.gif',false) }}
                        </ul>
                    </li>

                    {{ _self.search_entry(section,'welcome_to_the_town','Herzlich willkommen in der Stadt'|trans({},'help'),'build/images/icons/small_middot.gif',true) }}

                    <li class="sublist">
                        <ul>
                            {{ _self.search_entry(section,'the_community','Die Gemeinschaft'|trans({},'help'),'build/images/icons/small_world.gif',false) }}
                            {{ _self.search_entry(section,'constructing_new_buildings','Neue Gebäude bauen'|trans({},'help'),'build/images/icons/home.gif',false) }}
                            {{ _self.search_entry(section,'blueprints','Baupläne'|trans({},'help'),'build/images/item/item_bplan_u.gif',false) }}
                            {{ _self.search_entry(section,'daily_upgrades','Weiterentwicklung des Tages'|trans({},'help'),'build/images/building/small_city_up.gif',false) }}
                            {{ _self.search_entry(section,'the_attack_of_the_hordes','Der Angriff der Zombiehorde'|trans({},'help'),'build/images/log/night.gif',false) }}
                            {{ _self.search_entry(section,'the_watchmen','Die Nachtwächter'|trans({},'help'),'build/images/professions/water_soldier.gif',false) }}
                            {{ _self.search_entry(section,'crimes_and_punishment','Recht und Gesetz'|trans({},'help'),'build/images/icons/small_star.gif',false) }}
                            {{ _self.search_entry(section,'shunned_citizens','Die Verbannten'|trans({},'help'),'build/images/icons/small_ban.gif',false) }}
                            {{ _self.search_entry(section,'chaos','Das Chaos'|trans({},'help'),'build/images/professions/death.gif',false) }}
                            {{ _self.search_entry(section,'catapult','Das Katapult'|trans({},'help'),'build/images/item/item_courroie.gif',false) }}
                            {{ _self.search_entry(section,'towns_in_nondistantregions','Kleine Karten'|trans({},'help'),'build/images/building/small_falsecity.gif',false) }}
                            {{ _self.search_entry(section,'devastated_town','Zerstörte Stadt'|trans({},'help'),'build/images/item/item_out_def_broken.gif',false) }}
                            {{ _self.search_entry(section,'hardcore_towns','Städte des Pandämoniums'|trans({},'help'),'build/images/icons/small_arma.gif',false) }}
                            {{ _self.search_entry(section,'private_towns','Privatstädte'|trans({},'help'),'build/images/item/item_chair.gif',false) }}
                            {{ _self.search_entry(section,'roleplay_options','Rollenspieloptionen'|trans({},'help'),'build/images/item/item_dice.gif',false) }}
                            {{ _self.search_entry(section,'seasons_and_rankings','Saisons und Ranglisten'|trans({},'help'),'build/images/forum/coin.png',false) }}
                        </ul>
                    </li>

                    {{ _self.search_entry(section,'support','Support'|trans({},'help'),'build/images/icons/small_middot.gif',true) }}

                    <li class="sublist">
                        <ul>
                            {# <li class="">
                                <img src="{{ asset('build/images/icons/small_middot.gif') }}" alt="browser">
                                <span class="link">{{ '1- Überprüfe deinen Browser'|trans({},'help') }}</span>
                            </li>
                            <li class="">
                                <img src="{{ asset('build/images/icons/small_middot.gif') }}" alt="parasites">
                                <span class="link">{{ '2- Überprüfe sonstige installierte Programme'|trans({},'help') }}</span>
                            </li> #}
                            {{ _self.search_entry(section,'getting_help','Hier erhältst du Hilfe'|trans({},'help'),'build/images/icons/small_middot.gif',false) }}
                            {{ _self.search_entry(section,'choosing_a_good_password','Wie wähle ich ein sicheres Passwort?'|trans({},'help'),'build/images/icons/small_middot.gif',false) }}
                            {{ _self.search_entry(section,'quarantined_towns','Stadt unter Quarantäne'|trans({},'help'),'build/images/icons/small_middot.gif',false) }}
                            {{ _self.search_entry(section,'i_m_annoyed','Fehlverhalten melden'|trans({},'help'),'build/images/icons/small_calim.gif',false) }}
                            {{ _self.search_entry(section,'about_accountsitting',"Zum Thema 'Sitting'..."|trans({},'help'),'build/images/icons/small_warning.gif',false) }}
                        </ul>
                    </li>

                    {{ _self.search_entry(section,'use_of_external_sites','Für Community-Entwickler'|trans({},'help'),'build/images/icons/small_middot.gif',true,true) }}

                    <li class="sublist">
                        <ul>
                            {{ _self.search_entry(section,'use_of_external_sites','Externe Webseiten und Anwendungen'|trans({},'help'),'build/images/icons/small_archive.gif',false) }}
                            {{ _self.search_entry(section,'use_of_external_scripts','Externe Scripte'|trans({},'help'),'build/images/icons/small_more.gif',false) }}
                        </ul>
                    </li>


                </ul>
			</div>
        </div>
        <div class="padded cell rw-8 rw-sm-12">
            <div class="row help-content">
                {% block helpContent %}
                {% endblock %}
            </div>
        </div>
        <div class="cell rw-12 flavour-quote">
            « {{ quote.content }} »
        </div>
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        $.html.addEventListenerAll('[x-group-connect]','click', (e,elem) => {
            e.preventDefault();
            const p = document.getElementById('postbox');
            if (p) {
                p.setAttribute('x-post-command', elem.getAttribute('x-group-connect'));
                p.click();
            } else alert('{{ 'Fehler beim Laden des Posteingangs.'|trans({},'global') }}')
        })
        $.html.addEventListenerAll('#search_help','click',()=>{
            const query = document.getElementById('search_value').value;
            $.ajax.easySend('{{ url('help_search') }}', {query}, data => {
                if (data.result.length === 0) {
                    $.html.error('{{ 'Es wurden keine Dokumente gefunden, die deiner Suchanfrage entsprechen.'|trans({},'global')|e('js') }}');
                    return;
                }

                $.html.forEach('[data-section]', section=>section.classList.add('hidden'));
                $.html.forEach('.HelpList li', elem=>elem.classList.toggle('filtered',data.filtered));
                $.html.forEach('.HelpList li span[data-direct]', elem=>elem.classList.toggle('hidden',data.filtered));
                $.html.forEach('.HelpList li span[data-indirect]', elem=>elem.classList.toggle('hidden',!data.filtered));
                document.getElementById('search_reset').classList.toggle('hidden', !data.filtered);
                data.result.forEach( section => document.querySelector('[data-section="' + section + '"]').classList.remove('hidden') );
            });
        });
        document.getElementById('search_reset').addEventListener('click', () => {
            $.html.forEach('[data-section]', section=>section.classList.remove('hidden'));
            $.html.forEach('.HelpList li', elem=>elem.classList.remove('filtered'));
            $.html.forEach('.HelpList li span[data-direct]', elem=>elem.classList.remove('hidden'));
            $.html.forEach('.HelpList li span[data-indirect]', elem=>elem.classList.add('hidden'));
            document.getElementById('search_reset').classList.add('hidden');
            document.getElementById('search_value').value = '';
        })
        $.html.addEventListenerAll('[data-indirect]','click',(e,elem)=>{
            $.ajax.load( document.querySelector('.help-content'), elem.dataset.indirect, false, {}, () => {
                $.html.forEach('li.active', elem => elem.classList.remove('active'));
                const canonical_url = elem.closest('li').querySelector('[x-ajax-href]').getAttribute('x-ajax-href');
                elem.closest('li').classList.add('active');
                history.pushState( canonical_url, '', canonical_url );
            } );
        });

    </script>
{% endblock %}
